Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector
Class IdeMultipleInspectorProperty

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
                  |
                  +--com.togethersoft.openapi.ide.inspector.IdeMultipleInspectorProperty

public class IdeMultipleInspectorProperty
extends IdeInspectorProperty

Represents InspectorProperty that stores an enumeration of properties. All of these properties have same type and same editor class.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`MULTI_VALUE_TAG, PROP_VALUE, UNDEFINED_VALUE`

Constructor Summary
`IdeMultipleInspectorProperty(Enumeration atomicProperties, Class valueType)` Constructs new MultipleInspectorProperty with the specified enumeration of the internal properties, type class for these properties and null editor class.
`IdeMultipleInspectorProperty(Enumeration atomicProperties, Class valueType, Class editorClass)` Creates new MultipleInspectorProperty with specified enumeration of internal properties, type class for these properties and editor class.

Method Summary
`boolean` | `canSetValue(Object value)` Checks whether the given `value` can be set to this multiple property.
`PropertyEditor` | `getPropertyEditor()` Returns the editor for this property if it is specified through setPropertyEditor, otherwise returns `null`.
`Object` | `getValue()` Returns value of this multiple property.
`boolean` | `isReadable()` Checks whether the value of this multiple property is readable.
`boolean` | `isWritable()` Checks whether the value of this multiple property is writeable.
`void` | `setValue(Object value)` Sets value for this multiple property.

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`addPropertyChangeListener, firePropertyChange, getValueType, removePropertyChangeListener, setPropertyEditor, update`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### IdeMultipleInspectorProperty

    public IdeMultipleInspectorProperty(Enumeration atomicProperties, Class valueType)

  Constructs new MultipleInspectorProperty with the specified enumeration of the internal properties, type class for these properties and null editor class.
  Parameters:
    atomicProperties - `Enumeration` of internal properties
    valueType - `Class` type of the properties

### IdeMultipleInspectorProperty

    public IdeMultipleInspectorProperty(Enumeration atomicProperties, Class valueType, Class editorClass)

  Creates new MultipleInspectorProperty with specified enumeration of internal properties, type class for these properties and editor class.
  Parameters:
    atomicProperties - `Enumeration` of internal properties
    valueType - `Class` type of the properties
    editorClass - `Class` of the editor

Method Detail

### canSetValue

    public boolean canSetValue(Object value)

  Checks whether the given `value` can be set to this multiple property. In order to be accepted, this `value` should be an instance of `Enumeration`.
  Returns: `true` if it is possible, `false` otherwise

### getPropertyEditor

    public PropertyEditor getPropertyEditor()

  Returns the editor for this property if it is specified through setPropertyEditor, otherwise returns `null`. If an editor class was specified through the #IdeInspectorProperty(Enumeration, Class, Class), then returns this editor, or `null` if exception `IllegalAccessException` or `InstantiationException` was caught.
  Returns: `PropertyEditor`, or `null` if an error occurs
  Throws:
    IllegalArgumentException - If editor class not specified

### getValue

    public Object getValue()

  Returns value of this multiple property.
  Returns: Enumeration of internal properties as an `Object`

### isReadable

    public boolean isReadable()

  Checks whether the value of this multiple property is readable.
  Returns: Always `true`

### isWritable

    public boolean isWritable()

  Checks whether the value of this multiple property is writeable.
  Returns: Always `true`

### setValue

    public void setValue(Object value)

  Sets value for this multiple property.
  Parameters:
    value - `Enumeration` of the internal properties as an `Object`
  throw IllegalArgumentException if the `value` is not an Enumeration

Association Links

to Class java.lang.Class

to Class java.lang.Class

to Class java.beans.PropertyEditor

to Class java.beans.PropertyChangeSupport

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD